Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Class SpecClassResolver

    java.lang.Object
      |
      +--kodo.util.SpecClassResolver

All Implemented Interfaces:
  ClassResolver

public class SpecClassResolver
extends Object
implements ClassResolver

Class resolver implementation that operates according to the JDO spec section 12.5.

Since:
  3.0

Constructor Summary
`SpecClassResolver()`

Method Summary
`ClassLoader` | `getClassLoader(Class contextClass, ClassLoader pmLoader)` Return a class loader that can be used to load classes and resources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpecClassResolver

    public SpecClassResolver()

Method Detail

### getClassLoader

    public ClassLoader getClassLoader(Class contextClass,
                                      ClassLoader pmLoader)

  Description copied from interface: `ClassResolver`
  Return a class loader that can be used to load classes and resources. This can be a standard class loader, or a customized loader such as a `MultiClassLoader`.
  Specified by:
    `getClassLoader` in interface `ClassResolver`
  Following copied from interface: `kodo.util.ClassResolver`
  Parameters:
    `contextClass` - the context class as defined in the JDO specification 1.0 section 12.5; may be null if no context class
    `pmLoader` - the thread's context class loader when the persistence manager was obtained; may be null if operating outside the context of a persistence manager

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.